package domain

type AlibabaWdkCouponTemplateUpdateLogicGroup struct {
	/*
	   参与者分组序号     */
	Number *int64 `json:"number,omitempty" `

	/*
	   五道口参与者名称     */
	WdkGroupName *string `json:"wdk_group_name,omitempty" `

	/*
	   逻辑分组类型  COMMON(1, "普通分组"), EXCHANGE(2, "换购分组"), BUY_GIFT(3, "买赠分组"), EXCHANGE_TJ_OVERLAY(4, "特价换购叠加分组"),     */
	LogicGroupType *int64 `json:"logic_group_type,omitempty" `
}

func (s *AlibabaWdkCouponTemplateUpdateLogicGroup) SetNumber(v int64) *AlibabaWdkCouponTemplateUpdateLogicGroup {
	s.Number = &v
	return s
}
func (s *AlibabaWdkCouponTemplateUpdateLogicGroup) SetWdkGroupName(v string) *AlibabaWdkCouponTemplateUpdateLogicGroup {
	s.WdkGroupName = &v
	return s
}
func (s *AlibabaWdkCouponTemplateUpdateLogicGroup) SetLogicGroupType(v int64) *AlibabaWdkCouponTemplateUpdateLogicGroup {
	s.LogicGroupType = &v
	return s
}
